## org.eclipse.datatools.sqltools.debugger.model
Class SPDebugModelUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.model.SPDebugModelUtil

public class SPDebugModelUtil
extends java.lang.Object

Utility class to process routine debug model objects.

Author:
  Yang Liu

Constructor Summary
`SPDebugModelUtil()`

Method Summary
`static SPLineBreakpoint` `createLineBreakpoint(ProcIdentifier procid, int lineNumber, boolean register)` Creates a line breakpoint at the specified line for the specified proc.
`static java.util.List` `findAllLineBreakpoint(ProcIdentifier procid, int lineNumber)` Finds breakpoints of all types in a `Routine` identified by `procid`, at line `lineNumber`
`static java.util.List` `findAllSPLineBreakpointForSP(ProcIdentifier procid)` Finds all breakpoints belonging to the specified routine
`static SPLineBreakpoint` `findLineBreakpoint(ProcIdentifier procid, int lineNumber)` Returns the breakpoint object in a `Routine` identified by `procid`, at line `lineNumber`
`static java.lang.String` `getModelIdentifier()` Returns the identifier of the debug model the `SPLineBreakpoint` is associated with.
`static boolean` `isSPBreakpointMarker(IMarker marker, ProcIdentifier proc)` Tests whether the marker is a SP breakpoint marker for the specified routine.
`static boolean` `isSPBreakpointMarkerDelta(IMarkerDelta markerDelta, ProcIdentifier identifier)` Tests whether the markerDelta is a SP breakpoint marker delta for the specified routine.
`static void` `removeAllBreakpointForSP(ProcIdentifier procid)` Removes all breakpoints for a particular routine.
`static boolean` `supportCondition(SPLineBreakpoint bp)` Tests whether a breakpoint support condition.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPDebugModelUtil

    public SPDebugModelUtil()

Method Detail

### getModelIdentifier

    public static java.lang.String getModelIdentifier()

  Returns the identifier of the debug model the `SPLineBreakpoint` is associated with.

### createLineBreakpoint

    public static SPLineBreakpoint createLineBreakpoint(ProcIdentifier procid,
                                                        int lineNumber,
                                                        boolean register)
                                                 throws CoreException

  Creates a line breakpoint at the specified line for the specified proc.

  Parameters:
    `procid` - `Routine` identifier
    `lineNumber` - breakpoint line
  Throws:
    `CoreException`

### findLineBreakpoint

    public static SPLineBreakpoint findLineBreakpoint(ProcIdentifier procid,
                                                      int lineNumber)

  Returns the breakpoint object in a `Routine` identified by `procid`, at line `lineNumber`

  Parameters:
    `procid` - `Routine` identifier
    `lineNumber` - line number
  Returns:
    a `SPLineBreakpoint` if any, otherwise null.

### findAllLineBreakpoint

    public static java.util.List findAllLineBreakpoint(ProcIdentifier procid,
                                                       int lineNumber)

  Finds breakpoints of all types in a `Routine` identified by `procid`, at line `lineNumber`

  Parameters:
    `procid` - `Routine` identifier
    `lineNumber` - line number
  Returns:
    list of `IBreakpoint`, may be empty

### isSPBreakpointMarker

    public static boolean isSPBreakpointMarker(IMarker marker,
                                               ProcIdentifier proc)

  Tests whether the marker is a SP breakpoint marker for the specified routine.

  Parameters:
    `marker` -
    `proc` - `Routine` identifier

### isSPBreakpointMarkerDelta

    public static boolean isSPBreakpointMarkerDelta(IMarkerDelta markerDelta,
                                                    ProcIdentifier identifier)

  Tests whether the markerDelta is a SP breakpoint marker delta for the specified routine.

  Parameters:
    `markerDelta` -
    `identifier` -

### supportCondition

    public static boolean supportCondition(SPLineBreakpoint bp)
                                    throws CoreException

  Tests whether a breakpoint support condition.

  Parameters:
    `bp` -
  Returns:
    true if no, otherwise false
  Throws:
    `CoreException`

### findAllSPLineBreakpointForSP

    public static java.util.List findAllSPLineBreakpointForSP(ProcIdentifier procid)

  Finds all breakpoints belonging to the specified routine

  Parameters:
    `procid` - `Routine` identifier
  Returns:
    list of `SPLineBreakpoint`, may be empty

### removeAllBreakpointForSP

    public static void removeAllBreakpointForSP(ProcIdentifier procid)

  Removes all breakpoints for a particular routine.

  Parameters:
    `procid` - `Routine` identifier

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.